AjaxRegionRenderer (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.ajax4jsf.renderkit.html.AjaxRegionRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit.html
Class AjaxRegionRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.ajax4jsf.renderkit.AjaxChildrenRenderer
                          org.ajax4jsf.renderkit.AjaxContainerRenderer
                              org.ajax4jsf.renderkit.html.AjaxRegionRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.AjaxRenderer, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

    public class AjaxRegionRenderer

extends org.ajax4jsf.renderkit.AjaxContainerRenderer

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:28 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `RENDERER_TYPE`

Fields inherited from class org.ajax4jsf.renderkit.AjaxContainerRenderer
`AJAX_FLAG_HEADER, AJAX_JSF_SCRIPT, AJAX_LOCATION_HEADER, AJAX_PARAMETER_NAME, AJAX_RESULT_GROUP_ATTR, AJAX_RESULT_GROUP_TAG, AJAX_RESULT_STYLE, AJAX_UPDATE_HEADER, AJAX_VIEW_STATE_ID, AJAX_VIEW_STATE_TAG, JSDOM_SCRIPT, SARISSA_SCRIPT`

Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`SPECIAL_COMPONENTS_TYPES`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`AjaxRegionRenderer()`

Method Summary
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.ajax4jsf.renderkit.AjaxContainerRenderer
`doDecode, encodeAjax, encodeChildren, getComponentClass, getRendersChildren`

Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`encodeAjaxChildren, encodeAjaxComponent`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts, getScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeChildren, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer
`getHeaderScripts, getHeaderStyles`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### AjaxRegionRenderer

    public AjaxRegionRenderer()

Method Detail

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Overrides:
    `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.